### Enumeration

# Qmi DmsFoxconnFirmwareVersionType

since: 1.26

#### Declaration

    enum Qmi.DmsFoxconnFirmwareVersionType

#### Description [src]

Foxconn specific firmware version types.

Available since: 1.26

#### Members

`QMI_DMS_FOXCONN_FIRMWARE_VERSION_TYPE_FIRMWARE_MCFG`

  E.g. T77W968.F0.0.0.2.3.GC.004.

  - Value: `0`
  - Available since: 1.26
`QMI_DMS_FOXCONN_FIRMWARE_VERSION_TYPE_FIRMWARE_MCFG_APPS`

  E.g. T77W968.F0.0.0.2.3.GC.004.011.

  - Value: `1`
  - Available since: 1.26
`QMI_DMS_FOXCONN_FIRMWARE_VERSION_TYPE_APPS`

  E.g. 011.

  - Value: `2`
  - Available since: 1.26

#### Type functions

###### qmi_dms_foxconn_firmware_version_type_get_string

Gets the nickname string for the `QmiDmsFoxconnFirmwareVersionType` specified at `val`.

since: 1.26